import { AnyRouter } from "@trpc/server";
import { ResponseMetaFn } from "@trpc/server/dist/declarations/src/http/internals/types";
import { ApiHandler } from "solid-start/api/types";
import { CreateContextFn } from "./types";
export declare function createSolidAPIHandler<TRouter extends AnyRouter>(opts: {
    router: TRouter;
    createContext: CreateContextFn<TRouter>;
    responseMeta?: ResponseMetaFn<TRouter>;
}): ApiHandler;
