import { Maybe, TRPCError } from "@trpc/server";
import { AnyRouter, inferRouterContext } from "@trpc/server";
import { HTTPBaseHandlerOptions, HTTPRequest, HTTPResponse } from "@trpc/server/src/http/internals/types";
interface ResolveHTTPRequestOptions<TRouter extends AnyRouter, TRequest extends HTTPRequest> extends HTTPBaseHandlerOptions<TRouter, TRequest> {
    createContext: () => Promise<inferRouterContext<TRouter>>;
    req: TRequest;
    path: string;
    error?: Maybe<TRPCError>;
}
export declare function resolveHTTPResponse<TRouter extends AnyRouter, TRequest extends HTTPRequest>(opts: ResolveHTTPRequestOptions<TRouter, TRequest>): Promise<HTTPResponse>;
export {};
